Package twisted :: Package protocols :: Module sip :: Class InMemoryRegistry

[frames | no frames]

## Class InMemoryRegistry

A simplistic registry for a specific domain.

Method Summary
| `__init__(self, domain)`
| `_expireRegistration(self, username)`
| `getAddress(self, userURI)`
| `getRegistrationInfo(self, userURI)`
| `registerAddress(self, domainURL, logicalURL, physicalURL)`
| `unregisterAddress(self, domainURL, logicalURL, physicalURL)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.protocols.sip.IRegistry...`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.protocols.sip.IRegistry at 0x88b3ff4>,
         <class twisted.protocols.sip.ILocator at 0x88cb6a4>)

Generated by Epydoc 2.0 on Sat May 15 20:08:02 2004 | http://epydoc.sf.net